Commit 6c27a870 authored by Leo's avatar Leo Committed by Natanael Copa

main/libgcrypt: enable static libraries

fixes #10236
parent 2f0a92c5
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libgcrypt
pkgver=1.8.4
pkgrel=0
pkgrel=1
pkgdesc="general purpose crypto library based on the code used in GnuPG"
url="http://www.gnupg.org"
arch="all"
license="LGPL"
depends=""
license="LGPL-2.1-or-later"
depends_dev="libgpg-error-dev"
makedepends="$depends_dev texinfo"
subpackages="$pkgname-dev $pkgname-doc"
subpackages="$pkgname-static $pkgname-dev $pkgname-doc"
source="https://www.gnupg.org/ftp/gcrypt/libgcrypt/$pkgname-$pkgver.tar.bz2"
builddir="$srcdir"/$pkgname-$pkgver
options="!checkroot"
......@@ -39,7 +38,7 @@ build () {
--sysconfdir=/etc \
--mandir=/usr/share/man \
--localstatedir=/var \
--disable-static \
--enable-static \
$_arch_configure
make
......@@ -58,4 +57,10 @@ package() {
rm -f ${pkgdir}/usr/share/info/dir
}
static() {
pkgdesc="$pkgnanme static libraries"
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/*.a "$subpkgdir"/usr/lib/
}
sha512sums="b831fc337eb14806897e224b0d1e78d1f8e9db91dffa818a015a4aa104144e2d971e5a855904907ee2bb9990a9d526de32d6787e1cae98e28a65c3258b2b1ea1 libgcrypt-1.8.4.tar.bz2"
......@@ -4,12 +4,12 @@
pkgname=libgpg-error
pkgver=1.36
pkgrel=1
pkgrel=2
pkgdesc="Support library for libgcrypt"
url="http://www.gnupg.org"
arch="all"
license="GPL-2.0-or-later LGPL-2.1-or-later"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lisp:lisp:noarch"
subpackages="$pkgname-static $pkgname-dev $pkgname-doc $pkgname-lisp:lisp:noarch"
makedepends="automake autoconf"
source="https://gnupg.org/ftp/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2
gawk5.patch"
......@@ -29,6 +29,7 @@ build () {
--sysconfdir=/etc \
--mandir=/usr/share/man \
--localstatedir=/var \
--enable-static \
--disable-nls
make
}
......@@ -47,5 +48,11 @@ lisp() {
mv "$pkgdir"/usr/share "$subpkgdir"/usr/share/
}
static() {
pkgdesc="$pkgnanme static libraries"
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/*.a "$subpkgdir"/usr/lib/
}
sha512sums="6e5f853f77dc04f0091d94b224cab8e669042450f271b78d0ea0219658d059c9cab1ab0eaa020a4227f451520b417fc340b85971a6f5e144fa69be57e15df346 libgpg-error-1.36.tar.bz2
02b4f4b7b7e7c1e8abc50da7667ef7da12180aef632fb5314e5e994cfbd54dd153f1b5e5162dcba923af9cca379a6613dbd73d2e3777024e683153fe142cec26 gawk5.patch"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment